function [X mX]  = def_X(piDefQuart, yg, rulc, u, rgdpPerCapitaGrQuart, intrQuart,...
  piDefYear, rgdpPerCapitaGrYear, intr, dates, I_freq, I_subsample, I_mes, I_country)
    
  % choose country
    piDefQuart = piDefQuart(:,I_country);
    yg = yg(:,I_country);
    u = u(:,I_country);
    rulc = rulc(:,I_country);
    rgdpPerCapitaGrQuart = rgdpPerCapitaGrQuart(:,I_country);
    intrQuart = intrQuart(:,I_country);
    piDefYear = piDefYear(:,I_country);
    rgdpPerCapitaGrYear = rgdpPerCapitaGrYear(:,I_country);
    
    if I_mes == 2;
          yg = rulc;    
    elseif I_mes==3;
          yg = -u;
    end
    
    if I_freq == 1;
        st= [min(find(piDefQuart~=0))+1; min(find(yg~=0));...
            min(find(rgdpPerCapitaGrQuart~=0))+1;...
            min(find(intrQuart))];
        st = max(st);
        X = [piDefQuart(st-1:end)  yg(st:end) rgdpPerCapitaGrQuart(st-1:end)...
            intrQuart(st:end)];
    elseif I_freq == 2
        st= [min(find(piDefYear~=0))+4; min(find(yg~=0));...
            min(find(rgdpPerCapitaGrYear~=0))+4;...
            min(find(intrQuart))];
        st = max(st);
        X = [piDefYear(st-4:end) yg(st:end) rgdpPerCapitaGrYear(st-4:end) 
            intr(st:end)];
    end
    
    if I_subsample == 2;
        dates = dates(st:end);
        st2 = find(dates==1983.25); 
        if isempty(st2);
            X = X;
        else
        X = X(st2:end,:);        % second subsample
        end;
    end

    mX = mean(X);
    X = X - ones(size(X,1),1)*mX;
     